Signed-off-by: Stefan Schantl stefan.schantl@ipfire.org --- intltool/intltool.nm | 15 +++++++++++++-- 1 file changed, 13 insertions(+), 2 deletions(-)
diff --git a/intltool/intltool.nm b/intltool/intltool.nm index 1f0311c..a217ea3 100644 --- a/intltool/intltool.nm +++ b/intltool/intltool.nm @@ -5,7 +5,7 @@
name = intltool version = 0.51.0 -release = 1 +release = 2 arch = noarch
groups = Localization/Tools @@ -29,7 +29,18 @@ build end
configure_options += \ - --mandir=/usr/share/man + --mandir=%{mandir} + + test + if ! make check; then + find . -type f -name 'test-suite.log' | while read trs; do + echo "BEGIN " ${trs}; cat ${trs} 1>&2; + done + + echo "Exiting abnormally due to make check failure above" 1>&2 + exit 1 + fi + end end
packages
Hi,
On Fri, 2016-09-23 at 11:15 +0200, Stefan Schantl wrote:
Signed-off-by: Stefan Schantl stefan.schantl@ipfire.org
intltool/intltool.nm | 15 +++++++++++++-- 1 file changed, 13 insertions(+), 2 deletions(-)
diff --git a/intltool/intltool.nm b/intltool/intltool.nm index 1f0311c..a217ea3 100644 --- a/intltool/intltool.nm +++ b/intltool/intltool.nm @@ -5,7 +5,7 @@ name = intltool version = 0.51.0 -release = 1 +release = 2 arch = noarch groups = Localization/Tools @@ -29,7 +29,18 @@ build end configure_options += \
--mandir=/usr/share/man
--mandir=%{mandir}
This is always automatically set.
- test
if ! make check; then
find . -type f -name 'test-suite.log' | while read
trs; do
echo "BEGIN " ${trs}; cat ${trs} 1>&2;
done
echo "Exiting abnormally due to make check failure
above" 1>&2
exit 1
fi
- end
end
What is this needed for?
packages
Hello Michael,
thanks for pointing these things out, I'll sent a new patch to this list.
Best regards,
-Stefan
Hi,
On Fri, 2016-09-23 at 11:15 +0200, Stefan Schantl wrote:
Signed-off-by: Stefan Schantl stefan.schantl@ipfire.org
intltool/intltool.nm | 15 +++++++++++++-- 1 file changed, 13 insertions(+), 2 deletions(-)
diff --git a/intltool/intltool.nm b/intltool/intltool.nm index 1f0311c..a217ea3 100644 --- a/intltool/intltool.nm +++ b/intltool/intltool.nm @@ -5,7 +5,7 @@ name = intltool version = 0.51.0 -release = 1 +release = 2 arch = noarch groups = Localization/Tools @@ -29,7 +29,18 @@ build end configure_options += \
--mandir=/usr/share/man
--mandir=%{mandir}
This is always automatically set.
- test
if ! make check; then
find . -type f -name 'test-suite.log' |
while read trs; do
echo "BEGIN " ${trs}; cat ${trs}
1>&2;
done
echo "Exiting abnormally due to make
check failure above" 1>&2
exit 1
fi
- end
end
What is this needed for?
packages
* Drop automatically set configure switch.
Signed-off-by: Stefan Schantl stefan.schantl@ipfire.org --- intltool/intltool.nm | 7 ++++--- 1 file changed, 4 insertions(+), 3 deletions(-)
diff --git a/intltool/intltool.nm b/intltool/intltool.nm index 1f0311c..bedcc53 100644 --- a/intltool/intltool.nm +++ b/intltool/intltool.nm @@ -5,7 +5,7 @@
name = intltool version = 0.51.0 -release = 1 +release = 2 arch = noarch
groups = Localization/Tools @@ -28,8 +28,9 @@ build perl(XML::Parser) end
- configure_options += \ - --mandir=/usr/share/man + test + make check + end end
packages